Package Details: glslang-git 8.13.3743.r232.g6a6e311d-1

Git Clone URL: https://aur.archlinux.org/glslang-git.git (read-only, click to copy)
Package Base: glslang-git
Description: OpenGL and OpenGL ES shader front end and validator, git version
Upstream URL: https://github.com/KhronosGroup/glslang
Keywords: graphics opengl rendering vulkan
Licenses: BSD
Conflicts: glslang
Provides: glslang
Submitter: jsjolund
Maintainer: bwrsandman
Last Packager: bwrsandman
Votes: 5
Popularity: 0.000001
First Submitted: 2016-01-27 00:35
Last Updated: 2020-09-08 14:12

Required by (43)

Sources (1)

Latest Comments

dbermond commented on 2020-09-08 01:26

@bwrsandman Also, there is a lot of things that need changes.

For example, the license is wrong, you're using outdated methods in build() and package(), depends is missing entries, static libraries are lacking, etc.

Please see the corresponding repository package and follow it's approach.

dbermond commented on 2020-09-08 01:18

@bwrsandman Please change the git sources to be fetched with https for enhanced security.

damachine commented on 2020-04-15 00:34

this packege are orphaned because the packege need a owner.

ng0177 commented on 2020-01-26 16:56

Anyone to make the package available for aarch64?

polyzen commented on 2018-10-12 05:37

Please also change the source to use git+https://

polyzen commented on 2018-10-12 02:45

Seems the pkgver should be changed to one of these:

~/p/s/glslang > git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
master.tot.r0.g4685f324

~/p/s/glslang > printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
r2934.4685f324

1ace commented on 2016-02-16 23:51

Hi!
Could you add `provides=('glslang')`?
That way any package can depend on 'glslang' and your package is one option.
Cheers :)